// E3D_Camera.h: interface for the E3D_Camera class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_CAMERA_H__04FB6A23_1278_40FE_8C40_6581EFF7AD5E__INCLUDED_)
#define AFX_E3D_CAMERA_H__04FB6A23_1278_40FE_8C40_6581EFF7AD5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Camera  
{
public:
	float x, y, z;
	float rx, ry, rz;
	float FOV;

	void Delete();
	void SetFOV();
	void SetRoll(float r1);
	void LookAt(float x1, float y1, float z1);
	void SetDirection();
	void MoveTo(float x1, float y1, float z1);
	E3D_Camera();
	virtual ~E3D_Camera();

};

#endif // !defined(AFX_E3D_CAMERA_H__04FB6A23_1278_40FE_8C40_6581EFF7AD5E__INCLUDED_)
