// E3D_Model.h: interface for the E3D_Model class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_E3D_MODEL_H__962EBDB2_361C_4CB9_B81E_72E77347FCCB__INCLUDED_)
#define AFX_E3D_MODEL_H__962EBDB2_361C_4CB9_B81E_72E77347FCCB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class E3D_Model  
{
public:
	char name[100];
	short numverts, numnorms, numpolys;
	Vertex_f vert[MAX_VERTS_PER_MODEL];
	Vector_f norm[MAX_VERTS_PER_MODEL];
	Pgon poly[MAX_POLYS_PER_MODEL];
	short shade;							// flag for shading
	float maxdim;							// max dimension for inst clip
    GroupType group[40];
    int numgroups;

	void Reset(); 
	int Load(char *filename);
	int Load3DO(char *filename);
	int CalculateNormals();
	E3D_Model();
	virtual ~E3D_Model();

};

#endif // !defined(AFX_E3D_MODEL_H__962EBDB2_361C_4CB9_B81E_72E77347FCCB__INCLUDED_)
