// Fracland.h
// Header file for fractal landscape generator

#define Width 512				/* Map width */
#define Depth 512				/* Map depth */
#define MAXHEIGHT 128			/* Max height of mountains */
#define SEA_LEVEL 64				/* Height of sea level */

extern unsigned char Map[Depth][Width];
extern unsigned char MapColour[Depth][Width][3];

void CreateFract (void);
void InitFract(void);
int ModifyRnd(int f, int range);
void ShadeFract(void);
